<div class="d-flex justify-content-between mb-3">
  <h1>{{ bucket.name }}</h1>
</div>
<ngb-tabset [destroyOnHide]="false">
    <ngb-tab title="Files">
      <ng-template ngbTabContent>
        <div class="p-3" style="background-color: white;">
          <app-objects [bucket]="bucket"></app-objects>
        </div>
      </ng-template>
    </ngb-tab>
    <ngb-tab>
      <ng-template ngbTabTitle>Details</ng-template>
      <ng-template ngbTabContent>
        <div class="p-3 d-flex justify-content-between" style="background-color: white;">
          <div>
            <p><strong>Name: </strong>{{ bucket.name }}</p>
            <p><strong>Location: </strong>{{ bucket.location["name"] }}</p>
            <p><strong>Storage size:</strong> {{ objectStore.storageSizeInUnits }}</p>
          </div>
          <div>

            <button class="btn btn-danger" (click)="openConfirmModal(bucketDeleteModal)">Delete Bucket</button>
            
            <ng-template #bucketDeleteModal let-modal>
              <div class="modal-header">
                <h4>Delete Bucket</h4>
                <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
                  <span aria-hidden="true">×</span>
                </button>
              </div>
              <div class="modal-body">
                Do you really want to delete this bucket?
              </div>
              <div class="modal-footer">
                <button type="button" class="btn btn-danger mr-2" (click)="onDeleteBucket()">Delete</button>
                <button type="button" class="btn btn-primary" (click)="modal.close('Save click')">Cancel</button>
              </div>
            </ng-template>

          </div>
        </div>
      </ng-template>
    </ngb-tab>
  </ngb-tabset>

